Create an S3 bucket snapshot
Creates an S3 bucket snapshot to preserve the current state of your bucket, which is useful for backup or recovery operations.
HTTP method and endpoint
POST /protocols/s3/services/{svm.uuid}/buckets/{s3_bucket.uuid}/snapshots
Introduced in
ONTAP 9.16
Required properties
-
name- Name of the S3 bucket snapshot to be created.
Related ONTAP commands
-
vserver object-store-server bucket snapshot create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
s3_bucket.uuid |
string |
path |
True |
Unique identifier of a bucket. |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
bucket_uuid |
string |
The unique identifier of the bucket. |
create_time |
string |
Creation time of the snapshot. It is the storage unit access time when the snapshot was created. |
name |
string |
The name of the snapshot. Snapshot names must start with a lowercase letter, a number, or a hyphen, must end with a lowercase letter or a number, and cannot exceed 30 characters. |
svm |
Specifies the name of the SVM where this bucket exists. |
|
uuid |
string |
The UUID of the snapshot in the bucket that uniquely identifies the snapshot in that bucket. |
Example request
{
"bucket_uuid": "2aec8270-58e3-11ef-861e-005056ae1130",
"create_time": "2024-08-21 20:18:04 -0400",
"name": "snap1",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"uuid": "522b29a1-3b26-11e9-bd58-0050568ea321"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Response
Status: 201, Created
Error
Status: Default
ONTAP Error Response Codes
| Error code | Message |
|---|---|
92405861 |
"The specified SVM UUID or bucket UUID does not exist."; |
92406249 |
"Failed to create S3 bucket snapshot "{snapshot name}" for S3 bucket "{bucket name}" in SVM "{svm name}". Reason: {Reason for failure} "; |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
Specifies the name of the SVM where this bucket exists.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
s3_bucket_snapshot
Information about an S3 bucket snapshot.
| Name | Type | Description |
|---|---|---|
bucket_uuid |
string |
The unique identifier of the bucket. |
create_time |
string |
Creation time of the snapshot. It is the storage unit access time when the snapshot was created. |
name |
string |
The name of the snapshot. Snapshot names must start with a lowercase letter, a number, or a hyphen, must end with a lowercase letter or a number, and cannot exceed 30 characters. |
svm |
Specifies the name of the SVM where this bucket exists. |
|
uuid |
string |
The UUID of the snapshot in the bucket that uniquely identifies the snapshot in that bucket. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |